org.keycloak.services.resources.account.resources

## Class AbstractResourceService.Permission

- java.lang.Object
- - org.keycloak.representations.idm.UserRepresentation
  - - org.keycloak.services.resources.account.resources.AbstractResourceService.Permission

- Enclosing class:
    AbstractResourceService

      public static class AbstractResourceService.Permission
      extends UserRepresentation

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.representations.idm.UserRepresentation

      `applicationRoles, attributes, clientConsents, clientRoles, createdTimestamp, credentials, disableableCredentialTypes, email, emailVerified, enabled, federatedIdentities, federationLink, firstName, groups, id, lastName, notBefore, origin, realmRoles, requiredActions, self, serviceAccountClientId, socialLinks, totp, username`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Permission()`
    `Permission(String userName, String... scopes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addScope(String... scope)`
    `List<String>` | `getScopes()`

    - ### Methods inherited from class org.keycloak.representations.idm.UserRepresentation

      `firstAttribute, getAccess, getApplicationRoles, getAttributes, getClientConsents, getClientRoles, getCreatedTimestamp, getCredentials, getDisableableCredentialTypes, getEmail, getFederatedIdentities, getFederationLink, getFirstName, getGroups, getId, getLastName, getNotBefore, getOrigin, getRealmRoles, getRequiredActions, getSelf, getServiceAccountClientId, getSocialLinks, getUsername, isEmailVerified, isEnabled, isTotp, setAccess, setAttributes, setClientConsents, setClientRoles, setCreatedTimestamp, setCredentials, setDisableableCredentialTypes, setEmail, setEmailVerified, setEnabled, setFederatedIdentities, setFederationLink, setFirstName, setGroups, setId, setLastName, setNotBefore, setOrigin, setRealmRoles, setRequiredActions, setSelf, setServiceAccountClientId, setSocialLinks, setTotp, setUsername, singleAttribute, toAttributes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Permission

          public Permission()

    - #### Permission

          public Permission(String userName,
                            String... scopes)

  - ### Method Detail

    - #### getScopes

          public List<String> getScopes()

    - #### addScope

          public void addScope(String... scope)

Copyright © 2021 JBoss by Red Hat. All rights reserved.